﻿using System;
using System.Threading;
using System.Windows;

namespace WpfListView {

    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application {

        private void Application_Startup(object sender, StartupEventArgs e) {
            ItemViewCollection.GetInstance().FillItems();
            _backThread.IsBackground = true;
            _backThread.Start();
        }


        private static Thread _backThread = new Thread(BackUpdate);
        private static Random _rnd = new Random();

        private static void BackUpdate(object x) {
            int index = 0;
            while (true) {
                Thread.Sleep(2000);
                foreach (var item in ItemViewCollection.GetInstance()) {
                    item.SetEnergy(item.Energy + _rnd.Next(-5, 6));
                }
                index = (index + 1) % 10;
                if (index == 0) {
                    ItemViewCollection.GetInstance().FillItems();
                }
            }
        }

    }

}
