﻿using System;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.Diagnostics;
using System.Threading;
using System.Windows.Threading;

namespace WpfListView {

    internal class ItemViewCollection : ObservableCollection<ItemViewData> {

        private ItemViewCollection() {
            this.InitialDispatcher = Dispatcher.CurrentDispatcher;
            FillItems();
        }


        private Dispatcher InitialDispatcher { get; set; }


        public void FillItems() {
            Debug.WriteLine(this.InitialDispatcher.Thread.ManagedThreadId.ToString() + "-" + Dispatcher.CurrentDispatcher.Thread.ManagedThreadId.ToString());
            this.InitialDispatcher.Invoke(DispatcherPriority.DataBind, (ThreadStart)delegate() {
                this.Items.Clear();
                this.Items.Add(new ItemViewData("Primary weapons", 1000));
                this.Items.Add(new ItemViewData("Secondary weapons", 1000));
                this.Items.Add(new ItemViewData("Shields", 1000));
                this.Items.Add(new ItemViewData("Torpedos", 1000));
                this.Items.Add(new ItemViewData("Item " + DateTime.Now.ToLongTimeString(), 1000));
                this.OnCollectionChanged(new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Reset));
            });
        }


        private static ItemViewCollection _instance = new ItemViewCollection();
        public static ItemViewCollection GetInstance() { return _instance; }

    }

}
    