﻿using System;
using System.ComponentModel;

namespace WpfListView {

    public class ItemViewData : INotifyPropertyChanged {

        public ItemViewData(string name, decimal startingEnergy) {
            this.Name = name;
            this.Energy = startingEnergy;
        }

        public string Name { get; private set; }
        public decimal Energy { get; private set; }

        public int ImageIndex { get; private set; }

public void SetEnergy(decimal newEnergy) {
    if (newEnergy < this.Energy) {
        this.ImageIndex = 1; //down
    } else if (newEnergy > this.Energy) {
        this.ImageIndex = 2; //up
    } else {
        this.ImageIndex = 0; //same
    }
    this.Energy = newEnergy;
    this.OnPropertyChanged(new PropertyChangedEventArgs("Energy"));
    this.OnPropertyChanged(new PropertyChangedEventArgs("ImageIndex"));
}


        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        private void OnPropertyChanged(PropertyChangedEventArgs e) {
            var ev = this.PropertyChanged;
            if (ev != null) {
                ev(this, e);
            }
        }

    }

}
